TONTONDocs
TON CenterAPI referenceConfiguration

Get all config parameters

Return all blockchain configuration parameters at once.

GET
/api/v2/getConfigAll

Query Parameters

seqno?integer

Block seqno

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getConfigAll"
{
  "ok": true,
  "result": {
    "@type": "configInfo",
    "config": {
      "@type": "tvm.cell",
      "bytes": "string"
    }
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings